extern unsigned tracks;
extern int have_CD_extra;

int GetTrack( unsigned long sector );
long FirstTrack ( void );
long GetEndSector ( unsigned long p_track );
long GetStartSector ( unsigned long p_track );
long GetLastSectorOnCd( unsigned long p_track );
int CheckTrackrange( unsigned long from, unsigned long upto );
void DisplayToc ( void );
int FixupTOC(unsigned  no_tracks);
UINT4 calc_cddb_id(void);
void Read_MCN_ISRC( void );
unsigned ScanIndices( unsigned trackval, unsigned indexval );
